# BaseDAO Interface Reference
[Root classes for building DAO hierarchies]

Inheritance diagram for BaseDAO:
[legend]

List of all members.

## Public Member Functions

| getById ($id)
| single object getters
| getByLogic (LogicalObject $logic)
| getByQuery (SelectQuery $query)
| getCustom (SelectQuery $query)
| getListByIds (array $ids)
| object's list getters
| getListByQuery (SelectQuery $query)
| getListByLogic (LogicalObject $logic)
| getPlainList ()
| getCustomList (SelectQuery $query)
| custom list getters
| getCustomRowList (SelectQuery $query)
| getQueryResult (SelectQuery $query)
| query result getter
| drop (Identifiable $object)
| erasers
| dropById ($id)
| dropByIds (array $ids)
| uncacheById ($id)
| uncachers
| uncacheByIds ($ids)
| uncacheLists ()

## Detailed Description

Definition at line 15 of file BaseDAO.class.php.

## Member Function Documentation

BaseDAO::drop | ( | Identifiable $ | object | ) |

erasers

Implemented in GenericDAO, and BaseDaoWorker.

BaseDAO::dropById | ( | $ | id | ) |

Implemented in GenericDAO, BaseDaoWorker, and CommonDaoWorker.

BaseDAO::dropByIds | ( | array $ | ids | ) |

Implemented in GenericDAO, and BaseDaoWorker.

BaseDAO::getById | ( | $ | id | ) |

single object getters

Implemented in NullDaoWorker, and TransparentDaoWorker.

BaseDAO::getByLogic | ( | LogicalObject $ | logic | ) |

Implemented in NullDaoWorker, and TransparentDaoWorker.

BaseDAO::getByQuery | ( | SelectQuery $ | query | ) |

Implemented in NullDaoWorker, and TransparentDaoWorker.

Referenced by FullTextUtils::lookup().

BaseDAO::getCustom | ( | SelectQuery $ | query | ) |

Implemented in NullDaoWorker, and TransparentDaoWorker.

BaseDAO::getCustomList | ( | SelectQuery $ | query | ) |

custom list getters

Implemented in NullDaoWorker, and TransparentDaoWorker.

BaseDAO::getCustomRowList | ( | SelectQuery $ | query | ) |

Implemented in NullDaoWorker, and TransparentDaoWorker.

BaseDAO::getListByIds | ( | array $ | ids | ) |

object's list getters

Implemented in NullDaoWorker, and TransparentDaoWorker.

BaseDAO::getListByLogic | ( | LogicalObject $ | logic | ) |

Implemented in NullDaoWorker, and TransparentDaoWorker.

BaseDAO::getListByQuery | ( | SelectQuery $ | query | ) |

Implemented in NullDaoWorker, and TransparentDaoWorker.

Referenced by FullTextUtils::lookupList().

BaseDAO::getPlainList | ( |  | ) |

Implemented in NullDaoWorker, and TransparentDaoWorker.

Referenced by GenericDAO::getPlainList().

BaseDAO::getQueryResult | ( | SelectQuery $ | query | ) |

query result getter

Implemented in NullDaoWorker, and TransparentDaoWorker.

BaseDAO::uncacheById | ( | $ | id | ) |

uncachers

Implemented in GenericDAO, BaseDaoWorker, CommonDaoWorker, DalayedDropDaoWorker, and NullDaoWorker.

BaseDAO::uncacheByIds | ( | $ | ids | ) |

Implemented in GenericDAO, CommonDaoWorker, and NullDaoWorker.

BaseDAO::uncacheLists | ( |  | ) |

Implemented in GenericDAO, CacheDaoWorker, CommonDaoWorker, NullDaoWorker, SmartDaoWorker, and VoodooDaoWorker.

The documentation for this interface was generated from the following file:

- main/DAOs/BaseDAO.class.php